# Type Alias TableProvider

type TableProvider = {
configuration_workflow: (req?: Req) => AbstractWorkflow;
fields: (cfg: GenObj) => Promise<FieldLike[]>;
get_table: (cfg: GenObj) => Partial<AbstractTable>;
}

- Defined in base_types.ts:509

##### Index

### Properties

configuration_workflow
fields
get_table

## Properties

### configuration_workflow

configuration_workflow: (req?: Req) => AbstractWorkflow

- Defined in base_types.ts:510

### fields

fields: (cfg: GenObj) => Promise<FieldLike[]>

- Defined in base_types.ts:511

### get_table

get_table: (cfg: GenObj) => Partial<AbstractTable>

- Defined in base_types.ts:512